﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Controls/CMSMaster.Master" AutoEventWireup="true" CodeBehind="UserGuideImages.aspx.cs" Inherits="DocCMSMain.cadmin.UserGuideImages" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit, Version=4.1.60501.0, Culture=neutral, PublicKeyToken=28f01b0e84b6d53e" %>
<%@ Register Src="~/Controls/Footer.ascx" TagName="CadminFooter" TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <link href="css/PopUpStyle.css" rel="stylesheet" type="text/css" />
    <link href="../css/bootstrap-fileupload.min.css" rel="stylesheet" type="text/css" />
    <link href="../css/bootstrap-timepicker.min.css" rel="stylesheet" type="text/css" />
    <link href="../Autocomplete/jquery-ui.css" rel="stylesheet" type="text/css" />
    <link href="css/PopUpStyle.css" rel="stylesheet" type="text/css" />
    <script src="../js/jquery.validate.min.js" type="text/javascript"></script>
    <script src="../js/jquery.tagsinput.min.js" type="text/javascript"></script>
    <script src="../js/jquery.alerts.js" type="text/javascript"></script>
    <script src="../js/ui.spinner.min.js" type="text/javascript"></script>
    <script src="../js/chosen.jquery.min.js" type="text/javascript"></script>
    <script src="../js/forms.js" type="text/javascript"></script>
    <script src="../js/tinymce/jquery.tinymce.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/wysiwyg.js"></script>
    <link href="css/colopicker/css/jquery.minicolors.css" rel="stylesheet" type="text/css" />
    <script src="css/colopicker/js/jquery.minicolors.min.js" type="text/javascript"></script>
    <link href="../js/Jcrop/Jcrop.css" rel="stylesheet" type="text/css" />
    <script src="../js/Jcrop/Jcrop.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/ContentSpecialScripts.js"></script>
    <script src="../js/Pages/media_manager.js" type="text/javascript"></script>
    <script type="text/javascript">
        function onlyNumbers(e) {
            var key;
            if (window.event) {
                key = window.event.keyCode;     //IE
            }
            else {
                key = e.which;      //firefox              
            }
            if (key == 0 || key == 8) {
                return true;
            }

            if (key > 31 && (key < 48 || key > 57))
                return false;
            //             
            return true;
        }
    </script>
    <script language="javascript" type="text/javascript">

        $(document).ready(function () {
            SearchText();
        });
        function SearchText() {
            $("#txtNavigationUrl").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        url: "../cadmin/SubModules.aspx/GetKeyWords",
                        data: "{'SearchName':'" + document.getElementById('txtNavigationUrl').value + "'}",
                        dataType: "json",
                        success: function (data) {
                            response(data.d);
                        },
                        error: function (result) {
                            alert("No Match");
                        }
                    });
                }
            });
        }

        function ShowPreview(input) {
            if (input.files && input.files[0]) {
                var ImageDir = new FileReader();
                ImageDir.onload = function (e) {
                    jQuery('#imgNoImage').attr('src', e.target.result);
                }
                ImageDir.readAsDataURL(input.files[0]);
            }
        }   
        function SearchText_btn() {
            $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "../cadmin/SubModules.aspx/GetKeyWords_btnClick",
                data: "{'SearchName':'" + document.getElementById('txtNavigationUrl').value + "'}",
                dataType: "json",
                success: function (data) {
                    var dataArray = data.d.toString().split(',');
                    var List = "";
                    for (var i = 0; i < dataArray.length; i++) {
                        List = List + "<li class='ui-menu-item customMenu' role='menuitem' id='liAutoComplete_" + i.toString() + "'>";
                        var NavigateURL = "";
                        if (i == 0) {
                            NavigateURL = dataArray[i].toString().trim().substring(2);
                            NavigateURL = NavigateURL.substring(0, NavigateURL.length - 1);
                        }
                        else if (i == dataArray.length - 1) {
                            NavigateURL = dataArray[i].toString().trim().substring(1);
                            NavigateURL = NavigateURL.substring(0, NavigateURL.length - 2);
                        }
                        else {
                            NavigateURL = dataArray[i].toString().trim().substring(1);
                            NavigateURL = NavigateURL.substring(0, NavigateURL.length - 1);
                        }
                        if (dataArray.length == 1) {
                            NavigateURL = NavigateURL.substring(0, NavigateURL.length - 1);
                        }
                        List = List + "<a class='ui-corner-all' tabindex='-1' id='ancAutoComplete_" + i.toString() + "' onclick='SetValueInTextBox(this);'>" + NavigateURL + "</a>";
                        List = List + "</li>";
                    }
                    $("#ulAutocomplete").html(List);
                    $("#ulAutocomplete").show();

                },
                error: function (result) {
                    alert("No Match");
                }
            });
        }
        function SetValueInTextBox(ctrlID) {
             $("#txtNavigationUrl").val($("#" + ctrlID.id).text());
            $("#ulAutocomplete").hide();
        }       
    </script>
     <script type="text/javascript">
         function isNumber(evt) {
             var iKeyCode = (evt.which) ? evt.which : evt.keyCode
             if (iKeyCode != 46 && iKeyCode > 31 && (iKeyCode < 48 || iKeyCode > 57))
                 return false;
            return true;
         }
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
 <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <ul class="breadcrumbs">
        <li><a href="/cadmin/Dashboard.aspx"><i class="iconfa-home"></i></a><span class="separator">
        </span></li>
        <li><a href="#">User Guide Image</a> <span class="separator"></span></li>
        <li>Manage User Guide Image</li>
    </ul>
    <div class="pageheader">
        <form action="" method="post" class="searchbar">
        </form>
        <div class="pageicon">
            <span class="iconfa-pencil"></span>
        </div>
        <div class="pagetitle">
            <h5>
                User Guide Image</h5>
            <h1>
                Manage User Guide Image</h1>
        </div>
    </div>
    <!--pageheader-->
    <div class="maincontent">
        <div class="maincontentinner" style="padding:20px 20px 185px;">
            <div class="widget">
                <h4 class="widgettitle">
                    User Guide Image Details</h4>
                <div class="widgetcontent">
                    <div class="inputwrapper login-alert" id="msgDiv" runat="server">
                        <div class="alert alert-error" style="height: 25px;" align="center">
                            <label id="labmsg" name="labmsg" runat="server" style="margin-top: 1px; color: #DA5251;">
                            </label>
                        </div>
                    </div>
                    <div class="stdform">
                          <div id="DivUpload" runat="server" clientidmode="Static">
                                    <label class="control-label">
                                        <label class="control-label" for="LitUploadLabel">
                                            Upload Image</label>
                                        <asp:Literal runat="server" ClientIDMode="Static" ID="LitUploadLabel"></asp:Literal>
                                    </label>
                                    <div class="controls">
                                        <img alt="" src="../images/No_image_available.png" runat="server" id="imgNoImage"
                                            clientidmode="Static" style="height: 100px; width: 100px; margin-top: 0px;" />
                                        <br />
                                        <asp:FileUpload ID="ImageUploadControl" runat="server" onchange="ShowPreview(this)" ClientIDMode="Static" Style="margin-left: 220px;"
                                            CssClass="input-upload" />
                                        <asp:Label runat="server" ID="lblFileUploader" ClientIDMode="Static" Style="display: none;"></asp:Label>
                                    </div>
                                </div>
                           <div class="par control-group">
                            <label class="control-label" for="txtRoleName">
                              Select Role</label>
                            <div class="controls">
                              <asp:CheckBoxList  ID="ddlRoleName" runat="server" >
                                </asp:CheckBoxList>
                            </div>
                        </div>
                          <div class="par control-group">
                            <label class="control-label" for="txtImageHeight">
                                Image Height</label>
                            <div class="controls">
                                <input type="text" runat="server" name="txtImageHeight"  onkeypress="javascript:return isNumber(event)" pattern=".{10,}" maxlength="10" id="txtImageHeight" class="input-large"
                                    clientidmode="Static" placeholder="Enter Image Height " />
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ValidationGroup="grpsubmit"
                                    ControlToValidate="txtImageHeight" runat="server" style="color: Red; font-size: 24px; font-weight: bold; padding: 5px;">*</asp:RequiredFieldValidator>
                            </div>
                        </div>
                        <div class="par control-group">
                            <label class="control-label" for="txtImageWidth">
                                Image Width</label>
                            <div class="controls">
                                <input type="text" runat="server" name="txtImageWidth" id="txtImageWidth" onkeypress="javascript:return isNumber(event)" pattern=".{10,}" maxlength="10" class="input-large"
                                    clientidmode="Static" placeholder="Enter Image Width Name" />
                                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" ValidationGroup="grpsubmit"
                                    ControlToValidate="txtImageWidth" runat="server" style="color: Red; font-size: 24px; font-weight: bold; padding: 5px;">*</asp:RequiredFieldValidator>
                            </div>
                        </div>   
                        <div class="par control-group">
                            <label class="control-label" for="txtDisplayOrder">
                                Display Order</label>
                            <div class="controls">
                                <input type="text" runat="server" name="txtDisplayOrder" id="txtDisplayOrder" onkeypress="return onlyNumbers(event)"
                                    class="input-large" placeholder="Enter Order Number" disabled />
                                <asp:Button ID="btnShowDisplayOrders" CssClass="btn btn-primary" runat="server" Text="..."
                                    Style="margin-top: -10px;" ClientIDMode="Static" OnClick="btnShowDisplayOrders_Click" />
                            </div>
                        </div>
                      <div class="par control-group">
                            <label class="control-label" for="ChkActiveStatus">
                                Active Status</label>
                            <div class="controls">
                                <input type="checkbox" runat="server" name="activestatus" id="ChkActiveStatus" class="input-large"
                                    style="opacity: 1" checked />
                            </div>
                        </div><br />
                        <asp:HiddenField ID="hdnsourceID" runat="server" />
                        <asp:HiddenField ID="hdnsourceName" runat="server" />
                        <p class="stdformbutton">
                            <asp:Button ID="btnsubmit" runat="server" class="btn btn-primary" Visible="false"
                                OnClick="btnsubmit_onclick" Text="Submit" Width="150px" ValidationGroup="grpsubmit" />
                            <asp:Button ID="btnupdate" runat="server" class="btn btn-primary" Visible="false"
                                OnClick="btnupdate_onclick" Text="Update" Width="150px" ValidationGroup="grpsubmit" />
                            <asp:Button ID="btnCancel" runat="server" class="btn" Text="Cancel" Width="150px"
                                OnClick="btnCancel_Click" />
                       </p>
                    </div>
                </div>
                <!--widgetcontent-->
            </div>
            <!--widget-->
            <uc1:CadminFooter ID="CadminFooter1" runat="server" />
                <!-- for Display Order Popup -->
            <div id="pnlDisplayOrders" class="modal fade in" style="display: none;">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header" style="background-color: #0866C6; color: #FFFFFF;">
                            <h4 id="myModalLabel" class="modal-title">
                                Update User Guide Image Display Orders
                            </h4>
                        </div>
                        <div class="modal-body" style="height: 640px;">
                            <table id="dyntable" class="table table-bordered responsive" style="width: 95%;">
                                <colgroup>
                                    <col class="con1" style="align: left; width: 70%;" />
                                    <col class="con0" style="align: right; width: 30%;" />
                                </colgroup>
                                <thead>
                                    <tr style="width: 100%;">
                                        <th>
                                            Image&nbsp;Name
                                        </th>
                                         <th id="ActiveStatusheading" runat="server">
                                        Status
                                        </th>
                                        <th>
                                            Display&nbsp;Order
                                             <img id="img1" src="../images/table_icon_1.gif" alt="Edit" style="float: right;"
                                                        onclick="ToggleDisplay();" />
                                        </th>
                                        </tr>
                                </thead>
                                <tbody style="overflow-y: auto;">
                                    <asp:Repeater runat="server" ID="RptrDisplayOrder">
                                        <ItemTemplate>
                                            <tr class="gradeX">
                                                <td>
                                                    <asp:Label ID="lblUserGuideImageID" runat="server" Text='<%# Eval("ImageID") %>' Visible="false"></asp:Label>
                                                    <asp:Label ID="lblImageName" runat="server" Text='<%# Eval("ImageName") %>'></asp:Label>
                                                </td>
                                                    <td id="Activestatusdata" runat="server">
                                                    <asp:Label ID="Label1" runat="server" ClientIDMode="Static" Text='<%# Eval("ImageName") %>'
                                                     Visible="false"></asp:Label>
                                                    <asp:Label runat="server" ID="lblActive" class="Status" Text='<%# Eval("IsActive")%>'
                                                      CommandName="EditPageContent"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:Label ID="lblDorder" runat="server" Text='<%# Eval("DisplayOrder") %>' CssClass="DorderLabel"></asp:Label>
                                                    <input type="text" runat="server" name="txtDorder" id="txtDorder" onkeypress="return onlyNumbers(event)" maxlength="5"
                                                     class="DorderText" Style="display: none; width: 100px; float: left;margin-right: 25px;" Value='<%# Eval("DisplayOrder") %>'/>
                                                </td>
                                            </tr>
                                        </ItemTemplate>
                                        <AlternatingItemTemplate>
                                            <tr class="gradeA">
                                                    <td>
                                                    <asp:Label ID="lblUserGuideImageID" runat="server" Text='<%# Eval("ImageID") %>' Visible="false"></asp:Label>
                                                    <asp:Label ID="lblImageName" runat="server" Text='<%# Eval("ImageName") %>'></asp:Label>
                                                </td>
                                                 <td id="Activestatusdata" runat="server">
                                                 <asp:Label ID="Label1" runat="server" ClientIDMode="Static" Text='<%# Eval("ImageName") %>'
                                                     Visible="false"></asp:Label>
                                                  <asp:Label runat="server" ID="lblActive" class="Status" Text='<%# Eval("IsActive")%>'
                                                    CommandName="EditPageContent"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:Label ID="lblDorder" runat="server" Text='<%# Eval("DisplayOrder") %>' CssClass="DorderLabel"></asp:Label>
                                                 <input type="text" runat="server" name="txtDorder" id="txtDorder" onkeypress="return onlyNumbers(event)" maxlength="5"
                                                   class="DorderText" Style="display: none; width: 100px; float: left;margin-right: 25px;" Value='<%# Eval("DisplayOrder") %>'/>
                                                </td>
                                            </tr>
                                        </AlternatingItemTemplate>
                                    </asp:Repeater>
                                </tbody>
                            </table>
                        </div>
                          <div class="modal-footer">
                            <input type="button" id="btnUpdateDisplay" class="btn btn-primary" onclick="ValidateDisplayOrders();" Style="display: none;"
                                value="Update Display Orders" />
                            <a href="" id="btnCloseDisplayOrder" onclick="return false;" class="btn">Cancel</a><span
                                style="display: none;"></span>
                        </div>
                    </div>
                </div>
            </div>
             <ul id="ulAutocomplete" class="ui-autocomplete ui-menu ui-widget ui-widget-content ui-corner-all"
            role="listbox" aria-activedescendant="ui-active-menuitem" style="z-index: 1;
            top: 563px; left: 514px; display: none; width: 772px; height: 150px; overflow-y: scroll;">
         </ul>
              <asp:Button ID="btnUpdateDisplayOrder" runat="server" ClientIDMode="Static" Style="display: none;"
                OnClick="btnUpdateDisplayOrder_Click" />
            <asp:Button ID="MpeFakeTarget" runat="server" CausesValidation="False" Style="display: none;" />
            <asp:ModalPopupExtender ID="EditDisplayOrders" runat="server" PopupControlID="pnlDisplayOrders"
                TargetControlID="MpeFakeTarget" CancelControlID="btnCloseDisplayOrder" BackgroundCssClass="Background">
            </asp:ModalPopupExtender>
            </div><!--maincontentinner-->
        </div><!--maincontent-->
        
    <script language="javascript" type="text/javascript">
        function ValidateDisplayOrders() {
            var btnUpdateDisplayOrder = document.getElementById("btnUpdateDisplayOrder");
            btnUpdateDisplayOrder.click();
        }

        function SuccessMsg(MainContentID) {
            alert("The provided display orders are successfully Updated");
            url = "../cadmin/UserGuideModule.aspx?MID=" + ModuleID;
            $(location).attr('href', url);
        }

        function SuccessMsg1() {
            alert("The provided display orders are successfully Updated");
            var url = "../cadmin/UserGuideModule.aspx?MID=" + ModuleID;
            $(location).attr('href', url);
        }

        function ToggleDisplay(ItemIndex) {
            jQuery(".DorderLabel").toggle();
            jQuery(".DorderText").toggle();
            jQuery("#btnUpdateDisplay").show();
            jQuery("#img1").hide();
        }
    </script>
</asp:Content>
